package frc.robot.subsystems;


import java.util.function.DoubleSupplier;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.constants.FlickerConstants;

public class Flicker extends SubsystemBase {
    private VictorSP motor;

    private DigitalInput frisbeeSensor;

    public Flicker() {
        //sets motors and the photo switch
        motor = new VictorSP(FlickerConstants.k3MotorPWM);

        frisbeeSensor = new DigitalInput(FlickerConstants.kFrisbeeSensor);
    } 

    public boolean frisbeeSensor() {
        /*this uses a photoswitch to see if a frisbbe is there or not, 
        and if not where it is called in in RobotContrainer makes it so it won't shot if no frisbee*/
        return frisbeeSensor.get();
    } 

    public Command setSpeed(DoubleSupplier speed){
        //makes it so the motor will run but if the photoswitch can't see the frisbee it will stop.
        return run(() -> {
            if (frisbeeSensor.get()) {
                motor.set(speed.getAsDouble());
            } else { 
                motor.set(0);
            }
        }); 
    }

    public Command stop() {
        // stops the motor manually.
        return setSpeed(() -> 0);
    } 
}
