package frc.robot.subsystems;

import java.util.function.DoubleSupplier;

import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.ShooterConstants;

public class Shooter extends SubsystemBase {
    //makes the motors varables
    private VictorSP motor1;
    private VictorSP motor2; 

    public Shooter() {
        //sets up the motors to be used in the code
        motor1 = new VictorSP(ShooterConstants.k1MotorPWM);
        motor2 = new VictorSP(ShooterConstants.k2MotorPWM);
    
        motor1.addFollower(motor2); 
    }

    public Command setSpeed(DoubleSupplier speed) {
        //sets the motors speed
        return run(() -> {
            motor1.set(speed.getAsDouble());
        });    
    }
    public Command stop() {
        //stops the motors
        return setSpeed(() -> 0);
    }
} 

